<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- course.v01.xsl contient tous les templates d'affichage des informations d'un enseignement (balise course) de CDM-fr v2 -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

	<!-- FICHIERS INCLUDE UTILISEES -->
	<!-- <xsl:include href="person/personID.v01.xsl" />
	<xsl:include href="person/name.v01.xsl" />
	<xsl:include href="person/title.v01.xsl" /> 
	<xsl:include href="commun/sectionCNU.v01.xsl" />-->


	<!-- AJOUT ROT template description !-->
	<!--
	<xsl:template match="refCourse">
		<li><h3><xsl:if test="count(key('objet',@ref)/courseName/text)=0">Sans nom</xsl:if><xsl:value-of select="key('objet',@ref)/courseName/text[@language=$_lang or not(@language)]"/><xsl:value-of select="key('objet',@ref)/courseName/text[not(@language)]"/></h3>
			<p><xsl:value-of select="key('objet',@ref)/courseDescription/infoBlock"/></p>
		</li>
	</xsl:template>
	!-->
	<!-- AJOUT ROT template description -->
	
	<!-- Ajout LG template description -->
	
	<!-- Variable correspondant au noeud course
	<xsl:variable name="vNode" select="key('objet',$idP)" /> -->

	<!-- Templates unitaires = liste exhaustive des balises du CDM-fr alinetés par ROF -->
		
	<xsl:template name="tCourseCourseID">
		<xsl:value-of select="key('objet',$idP)/courseID"/>
	</xsl:template>
	
	<xsl:template name="tCourseCourseName">
		<xsl:value-of select="key('objet',$idP)/courseName"/>
	</xsl:template>
	
	<xsl:template name="tCourseCourseCode">
	<!--	<xsl:param name="pCodeSet" select="'codeSet'"/>
		<xsl:value-of select="$vNode/courseCode[@codeSet=$pCodeSet]"/>-->
		<xsl:value-of select="key('objet',$idP)/courseCode/@codeSet"/>
	</xsl:template>
	
	<xsl:template name="tCourseCourseDescription">
		<xsl:value-of select="key('objet',$idP)/courseDescription/infoBlock"/>
	</xsl:template>
	
	<xsl:template name="tCourseLevelInfoBlockType">
		<xsl:call-template name="tLevelInfoBlockType">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseLevelLanguageCECRLLevel">
		<xsl:call-template name="tLevelLanguageCECRLLevel">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseCreditsECTScredits">
		<xsl:call-template name="tCreditsECTScredits">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseCreditsInfoBlockType">
		<xsl:call-template name="tCreditsInfoBlockType">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseCreditsGlobalVolume">
		<xsl:call-template name="tCreditsGlobalVolume">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseLearningObjectivesInfoBlockType">
		<xsl:call-template name="tLearningObjectivesInfoBlockType">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseAdmissionInfoAdmissionDescription">
		<xsl:call-template name="tAdmissionInfoAdmissionDescription">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseRecommendedPrerequisites">
		<xsl:call-template name="tRecommendedPrerequisites">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseFormalPrerequisites">
		<xsl:call-template name="tFormalPrerequisites">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseFormOfTeaching">
		<xsl:call-template name="tFormOfTeaching">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseFormOfAssessment">
		<xsl:call-template name="tFormOfAssessment">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!-- Langue du cours sous forme de drapeau -->
	<xsl:template name="tCourseInstructionLanguageTeachingLang">
		<xsl:choose>
			<xsl:when test="key('objet',$idP)/instructionLanguage/@teachingLang = 'en'">
				<img src="{$baseMediaURL}/images/en.gif" alt="English" />
			</xsl:when>
			<xsl:when test="key('objet',$idP)/instructionLanguage/@teachingLang = 'es'">
				<img src="{$baseMediaURL}/images/es.gif" alt="Española" />
			</xsl:when>
			<xsl:otherwise>
				<img src="{$baseMediaURL}/images/fr.gif" alt="Français" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="tCourseInstructionLanguage">
		<xsl:value-of select="key('objet',$idP)/instructionLanguage"/>
	</xsl:template>
	
	<xsl:template name="tCourseSyllabus">
		<xsl:value-of select="key('objet',$idP)/syllabus"/>
	</xsl:template>
	
	<!-- Fin Ajout LG template description -->
	

</xsl:stylesheet>